#include <stdio.h>
#include <string.h>
#include "AD122.h"
#include "periph.h"
#include "shell.h"
#include "AD122_Com.h"

#define SLEEP_PWIDLE()      SMCR = 0X01; SLEEP();NOP();NOP()
#define SLEEP_PWSAVE()      SMCR = 0X03; SLEEP();NOP();NOP()
#define SLEEP_DEEPPWSAVE()  SMCR = 0X05; SLEEP();NOP();NOP()
#define SLEEP_PWOFF()       SMCR = 0X07; SLEEP();NOP();NOP()

void doCmd(void)
{
    unsigned char  i     = 0;
	unsigned char  ch    = 0;

	if (RcvDat[1] == 0x01)
	{
		printf("C-0X%02X,", RcvDat[0]);
		printf("A-0X%02X%02X,DW-0X%02X,", RcvDat[1], RcvDat[2],RcvDat[3]);

		FSR0H = RcvDat[2];
		FSR0L = RcvDat[3];
		INDF = RcvDat[4];
		ch = INDF;		  
		printf("DR-0X%02X!\r\n\r\n", INDF);
	}
	else if (RcvDat[1] == 0x02)
	{
		printf("C-0X%02X,", RcvDat[0]);
		printf("A-0X%02X%02X,", RcvDat[1],RcvDat[2]);

		FSR0H = RcvDat[2];
		FSR0L = RcvDat[3]; 
		ch = INDF;		 
		printf("DR-0X%02X!\r\n\r\n", ch);
	}else if(RcvDat[1] == 0x03)//for TEST
	{
		DACCON = RcvDat[2];
		printf("DACCON  = 0x%02X \r\n\r\n",DACCON);
	}else if(RcvDat[1] == 0x04)//for TEST
	{
		ADCCLKEN=1;

		// TRISB6 = 1;
		// ANASEL1 = 0X40;
		
		Config_AD_GPIO(RcvDat[2]);		//配置ADC通道
		// Config_AD_GPIO(0);		//配置ADC通道
		ADCON0 = RcvDat[2]<< 2;
		// ADCON0 |= RcvDat[2];
		ADON = 1;
		ADCON1 = RcvDat[3];
		ADCON2 = RcvDat[4];

	

		// ADCON0 = 0X01;
		// ADCON1 = 0XBE;
		// ADCON2 = 0X00;

        printf("/***********CFG***********/\r\n");
		printf("channel= 0x%02X;\r\n",RcvDat[2]);
		printf("ADCON0 = 0x%02X;\r\n",ADCON0);
		printf("ADCON1 = 0x%02X;\r\n",ADCON1);
		printf("ADCON2 = 0x%02X;\r\n",ADCON2);
		printf("/***********END***********/\r\n");

	}
	else if(RcvDat[1] == 0x05)		//读取各通道采集值
	{
		unsigned short Temp = 0;

		// double AD_Temp;
		// unsigned short Val = 0;
		// unsigned long  V;
		// unsigned char ge,shi,bai,qian; 

		unsigned char  i,j;
  		unsigned short Volt       = 0;
   		unsigned char  Time_Out   = 0;
		//Temp =ADC_SampleFilter();
		   for(j = 0;j<=5;j++)
   {
          GO = 1;                 //启动一次转换
          Time_Out = 100;         //设置超时时间
          while(GO)               //等待转换结束
          {
                 Time_Out--;          //等待超时
                 if(Time_Out == 0)    //防止程序跑到这里死掉了
                 {
                        ADON = 0;         //先关闭AD转换
                        GO = 0;           //清除转换标志
                        ADON = 1;         //在重新开启AD转换
                        GO = 1;           //清除转换标志
                 }
          }
   }
   
   Temp = (ADRESH<<8)|ADRESL;//取出AD转换的值

		//Temp = (ADRESH<<8)|ADRESL;//取出AD转换的值

			// GO = 1; 
			// while(GO); 
			//Temp = (ADRESH<<8)|ADRESL;
		
		printf("/***********RES***********/\r\n");
		printf("ADRES = 0x%04X;\r\n",Temp);
	}
	else
	{
		//Send_CMD(0x0A,0x00);
		for(i = 0;i < 20;i++)printf(" 0x%02X ",RcvDat[i]);
		printf("command Error!\r\n\r\n");
	}
}
