
#ifndef _COMMON_H_
#define _COMMON_H_

#include <stdio.h>
#include "AD122.h"

typedef signed   char   int8_t;     //!< Signed 8 bit integer
typedef unsigned char   uint8_t;    //!< Unsigned 8 bit integer

typedef signed   short  int16_t;    //!< Signed 16 bit integer
typedef unsigned short  uint16_t;   //!< Unsigned 16 bit integer

typedef signed   long   int32_t;    //!< Signed 32 bit integer
typedef unsigned long   uint32_t;   //!< Unsigned 32 bit integer

typedef unsigned char   bool;     //!< Boolean data type



void GPIO_Init(void);
void Timer1_edge(void);
void Timer1_edge_io(void);
void Timer1_edge_mode1(void);
void Timer1_edge_io_mode1(void);
#endif